Installing an older version of OS X

notification_center-0

May be you find yourself in a situation where you need to install an older version of OS X, to test a software or to provide support for older versions since not everyone need to move at the speed

that OS releases cycles dictates. In Apple case that’s a problem as they don’t make it easy. Here’s some tips that could help you to do that. Shortly after a new version is released they make it impossible to just run the older installer within a more recent version.

With OS X El Capitan, Yosemite, or Mavericks, you can use a USB flash drive or other removable media as a startup disk from which to install OS X.

1-Using the Disk Utility create the partition where you will install the older version

fusiondiskutility

2-Make sure you have an installer of the old version you need, either from a backup, a disk, an image, etc

3-Mount your USB flash drive or other volume. You could also use a secondary internal partition.

4-Open the Terminal app, which is in the Utilities folder of your Applications folder.

5-Use the createinstallmedia command in Terminal to create the bootable installer.  For detailed usage instructions, make sure that the appropriate Install OS X app is in your Applications folder, then enter one of the following paths in Terminal:

The following examples assume that the OS X installer is in your Applications folder and the name of your USB flash drive or other volume is MyUSB:

Example for El Capitan:

sudo /Applications/Install\ OS\ X\ El\ Capitan.app/Contents/Resources/
createinstallmedia --volume /Volumes/MyUSB--applicationpath 
/Applications/Install\ OS\ X\ El\ Capitan.app

Example for Yosemite:

sudo /Applications/Install\ OS\ X\ Yosemite.app/Contents/Resources/
createinstallmedia --volume /Volumes/MyUSB--applicationpath 
/Applications/Install\ OS\ X\ Yosemite.app

Example for Mavericks:

sudo /Applications/Install\ OS\ X\ Mavericks.app/Contents/Resources/
createinstallmedia --volume /Volumes/MyUSB--applicationpath 
/Applications/Install\ OS\ X\ Mavericks.app

Then restart, press the alt key during boot to select the USB source and start the installation. If you encounter this error along the process This copy of the Install OS X Yosemite application can’t be verified. It may have been corrupted or tampered with during downloading or similar usually is because the system is detecting a more recent date than the valid range for “installing” those versions, in that case you need to follow a few more steps to trick the system date into a valid one:

While at the “Install OS X” boot menu. Pull down the “Utilities” menu option and choose “Terminal” . The manual date format to use is a little weird, it looks something like mmddHHMMccyy.

In simpler terms, that is: Month Date Hour Minute Year, and it’s entered as a solid line with no breaks or spaces between the numbers. Previously go online and research the release date and the valid range of the OS you want to install and then type any date in that range. Disconnect from the internet to perform this step and type on the terminal such a date, for example for Yosemite I’ve used date 120082315 , and then you will be able to proceed with the installation, reconnect to internet and get the correct date back.

 

Advertisements
Installing an older version of OS X

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s